/services/platforms/v1/project-modules/save
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
modules |
array|null | No | ||
booking_type |
string|null
appointment, class, table, stay, rental, event, |
No | ||
booking_hours |
string|null
weekdays, everyday, evenings, |
No | ||
qr_menu |
object | No |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/project-modules/save" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"modules": "string",
"booking_type": "string",
"booking_hours": "string",
"qr_menu": "string"
}'
fetch('https://api.wemasy.nl/api/services/platforms/v1/project-modules/save', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"modules": "string",
"booking_type": "string",
"booking_hours": "string",
"qr_menu": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/platforms/v1/project-modules/save', {
"modules": "string",
"booking_type": "string",
"booking_hours": "string",
"qr_menu": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"modules": "string",
"booking_type": "string",
"booking_hours": "string",
"qr_menu": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/project-modules/save", headers=headers, json=data)
print(r.json())